import { OnDestroy, OnInit } from '@angular/core';
import { TranslationSystemPickerService } from './services/translation-system-picker.service';
import { TldTranslateConfigService, TldTranslateSystemManagementService } from '../../tld-common/services';
import { ActiveData } from '@tilde-nlp/ngx-common';
import { TldTranslateFileService } from '../../tld-document/services';
import { TldTranslateTextService } from '../../tld-text/services';
import * as i0 from "@angular/core";
export declare class TranslationSystemPickerComponent implements OnInit, OnDestroy {
    private readonly systemPickerService;
    private readonly tldSystem;
    private readonly file;
    private readonly text;
    private readonly config;
    isCollectionsActivated: boolean;
    get isSourceOpened(): boolean;
    get isTargetOpened(): boolean;
    get canSwap(): boolean;
    get sourceLanguage(): import("@tilde-nlp/ngx-common").LangListItem;
    get targetLanguage(): import("@tilde-nlp/ngx-common").LangListItem;
    get isDataLoaded(): ActiveData;
    get collectionsVisible(): boolean;
    get isFileTranslating(): boolean;
    get translatedText(): string;
    get isTranslating(): boolean;
    get isFileView(): boolean;
    readonly sourceAriaLabel = "SYSTEM_PICKER.OPEN_SOURCE_ARIA_LABEL";
    readonly targetAriaLabel = "SYSTEM_PICKER.OPEN_TARGET_ARIA_LABEL";
    domainLength: number;
    activeDomainKey: string;
    activeDomainLocalizationKey: string;
    isTargetReselected: boolean;
    private isTerminologySupported;
    private subscription;
    private activeData;
    system: {
        systemId: string;
        sourceLanguageCode: string;
        targetLanguageCode: string;
        detectedLanguage?: string;
    };
    constructor(systemPickerService: TranslationSystemPickerService, tldSystem: TldTranslateSystemManagementService, file: TldTranslateFileService, text: TldTranslateTextService, config: TldTranslateConfigService);
    ngOnInit(): void;
    sourceClick(event: MouseEvent): void;
    targetClick(event: MouseEvent): void;
    swap(): void;
    ngOnDestroy(): void;
    private subscribeToActiveData;
    static ɵfac: i0.ɵɵFactoryDeclaration<TranslationSystemPickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TranslationSystemPickerComponent, "tld-translation-system-picker", never, { "isCollectionsActivated": { "alias": "isCollectionsActivated"; "required": false; }; }, {}, never, never, false, never>;
}
